kio Library: KApplicationPropsPlugin Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KApplicationPropsPlugin Class Reference

Remove in KDE4. More...

`#include <kpropertiesdialog.h>`

Inheritance diagram for KApplicationPropsPlugin:

[legend]
Collaboration diagram for KApplicationPropsPlugin:

[legend]
List of all members.

## Public Slots
void | slotDelExtension ()
void | slotAddExtension ()
## Public Member Functions
| KApplicationPropsPlugin (KPropertiesDialog *_props)
virtual void | applyChanges ()
## Static Public Member Functions
static bool | supports (KFileItemList _items)

## Detailed Description

Remove in KDE4.

Such files are used to represent a program in kicker and konqueror.

Definition at line 881 of file kpropertiesdialog.h.

## Constructor & Destructor Documentation

KApplicationPropsPlugin::KApplicationPropsPlugin | ( | KPropertiesDialog * | _props | ) |

| Constructor. Definition at line 3717 of file kpropertiesdialog.cpp. References QGridLayout::addMultiCellWidget(), KDialogBase::addPage(), QGridLayout::addWidget(), KMimeType::allMimeTypes(), QValueList::begin(), KPropsDlgPlugin::changed(), QFile::close(), QObject::connect(), QValueList::end(), QPixmap::height(), QListBox::insertItem(), QString::isEmpty(), KPropertiesDialog::kurl(), QFile::open(), KURL::path(), QIconSet::pixmap(), KConfigBase::readEntry(), KConfigBase::readListEntry(), QGridLayout::setColStretch(), KConfigBase::setDesktopGroup(), QPushButton::setIconSet(), QGridLayout::setRowStretch(), QListBox::setSelectionMode(), QLineEdit::setText(), QStringList::sort(), and QPixmap::width().

## Member Function Documentation

void KApplicationPropsPlugin::applyChanges | ( |  | ) | `[virtual]`

| Applies all changes to the file. This function is called when the user presses 'Ok'. The last plugin inserted is called first. Reimplemented from KPropsDlgPlugin. Definition at line 3898 of file kpropertiesdialog.cpp. References QFile::close(), KURL::fileName(), QString::isEmpty(), KPropertiesDialog::kurl(), QFile::open(), KURL::path(), KConfigBase::setDesktopGroup(), KMessageBox::sorry(), KSimpleConfig::sync(), QListBox::text(), QLineEdit::text(), and KConfigBase::writeEntry().

The documentation for this class was generated from the following files:

- kpropertiesdialog.h
- kpropertiesdialog.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:10 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003